#messageUI{
    top: 0rem;
    right: 0rem;
    padding: 1rem;
    display: flex;
    z-index: 10000;
    position: absolute;
    justify-content: end;
}
.cursor-pointer{
    cursor: pointer;
}

.fixload{
    z-index: 1000;
    inset: 0px;
    width: 100%;
    height: 100%;
    position: fixed;
    display: flex;
    gap: 1rem;
    flex-flow: column;
    background: #f5f5f5;
    align-items: center;
    justify-content: center;
    transition: opacity 0.1s ease;
}

body.hidden{
    overflow: hidden;
}
.fixload.hidden{
    display: none!important;
    z-index: -1000!important;
}

.hidden {
    opacity: 1;
    pointer-events: none;
}


.loader {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  display: inline-block;
  position: relative;
  border: 3px solid;
  border-color: #FFF #4e76e6 transparent;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}
.loader::after {
  content: '';
  box-sizing: border-box;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  border: 3px solid;
  border-color: transparent #815ae7 #8fa3ed;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  animation: rotationBack 0.5s linear infinite;
  transform-origin: center center;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes rotationBack {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(-360deg);
  }
}
